org.eclipse.graphiti.mm.pictograms.util

## Class PictogramsAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.graphiti.mm.pictograms.util.PictogramsAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class PictogramsAdapterFactory
    extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `PictogramsPackage`

### Constructor Summary

Constructors
Constructor and Description
`PictogramsAdapterFactory()` Creates an instance of the adapter factory.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createAdvancedAnchorAdapter()` Creates a new adapter for an object of class '`Advanced Anchor`'.
`org.eclipse.emf.common.notify.Adapter` `createAnchorAdapter()` Creates a new adapter for an object of class '`Anchor`'.
`org.eclipse.emf.common.notify.Adapter` `createAnchorContainerAdapter()` Creates a new adapter for an object of class '`Anchor Container`'.
`org.eclipse.emf.common.notify.Adapter` `createBoxRelativeAnchorAdapter()` Creates a new adapter for an object of class '`Box Relative Anchor`'.
`org.eclipse.emf.common.notify.Adapter` `createChopboxAnchorAdapter()` Creates a new adapter for an object of class '`Chopbox Anchor`'.
`org.eclipse.emf.common.notify.Adapter` `createCompositeConnectionAdapter()` Creates a new adapter for an object of class '`Composite Connection`'.
`org.eclipse.emf.common.notify.Adapter` `createConnectionAdapter()` Creates a new adapter for an object of class '`Connection`'.
`org.eclipse.emf.common.notify.Adapter` `createConnectionDecoratorAdapter()` Creates a new adapter for an object of class '`Connection Decorator`'.
`org.eclipse.emf.common.notify.Adapter` `createContainerShapeAdapter()` Creates a new adapter for an object of class '`Container Shape`'.
`org.eclipse.emf.common.notify.Adapter` `createCurvedConnectionAdapter()` Creates a new adapter for an object of class '`Curved Connection`'.
`org.eclipse.emf.common.notify.Adapter` `createDiagramAdapter()` Creates a new adapter for an object of class '`Diagram`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createFixPointAnchorAdapter()` Creates a new adapter for an object of class '`Fix Point Anchor`'.
`org.eclipse.emf.common.notify.Adapter` `createFreeFormConnectionAdapter()` Creates a new adapter for an object of class '`Free Form Connection`'.
`org.eclipse.emf.common.notify.Adapter` `createGraphicsAlgorithmContainerAdapter()` Creates a new adapter for an object of class '`Graphics Algorithm Container`'.
`org.eclipse.emf.common.notify.Adapter` `createManhattanConnectionAdapter()` Creates a new adapter for an object of class '`Manhattan Connection`'.
`org.eclipse.emf.common.notify.Adapter` `createPictogramElementAdapter()` Creates a new adapter for an object of class '`Pictogram Element`'.
`org.eclipse.emf.common.notify.Adapter` `createPictogramLinkAdapter()` Creates a new adapter for an object of class '`Pictogram Link`'.
`org.eclipse.emf.common.notify.Adapter` `createPropertyContainerAdapter()` Creates a new adapter for an object of class '`Property Container`'.
`org.eclipse.emf.common.notify.Adapter` `createShapeAdapter()` Creates a new adapter for an object of class '`Shape`'.
`org.eclipse.emf.common.notify.Adapter` `createStyleContainerAdapter()` Creates a new adapter for an object of class '`Style Container`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PictogramsAdapterFactory

    public PictogramsAdapterFactory()

Creates an instance of the adapter factory.

### Method Detail

#### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.

#### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.

#### createShapeAdapter

    public org.eclipse.emf.common.notify.Adapter createShapeAdapter()

Creates a new adapter for an object of class '`Shape`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Shape`

#### createContainerShapeAdapter

    public org.eclipse.emf.common.notify.Adapter createContainerShapeAdapter()

Creates a new adapter for an object of class '`Container Shape`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ContainerShape`

#### createDiagramAdapter

    public org.eclipse.emf.common.notify.Adapter createDiagramAdapter()

Creates a new adapter for an object of class '`Diagram`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Diagram`

#### createPictogramElementAdapter

    public org.eclipse.emf.common.notify.Adapter createPictogramElementAdapter()

Creates a new adapter for an object of class '`Pictogram Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `PictogramElement`

#### createConnectionAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectionAdapter()

Creates a new adapter for an object of class '`Connection`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Connection`

#### createAnchorAdapter

    public org.eclipse.emf.common.notify.Adapter createAnchorAdapter()

Creates a new adapter for an object of class '`Anchor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Anchor`

#### createAnchorContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createAnchorContainerAdapter()

Creates a new adapter for an object of class '`Anchor Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `AnchorContainer`

#### createFixPointAnchorAdapter

    public org.eclipse.emf.common.notify.Adapter createFixPointAnchorAdapter()

Creates a new adapter for an object of class '`Fix Point Anchor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `FixPointAnchor`

#### createBoxRelativeAnchorAdapter

    public org.eclipse.emf.common.notify.Adapter createBoxRelativeAnchorAdapter()

Creates a new adapter for an object of class '`Box Relative Anchor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `BoxRelativeAnchor`

#### createChopboxAnchorAdapter

    public org.eclipse.emf.common.notify.Adapter createChopboxAnchorAdapter()

Creates a new adapter for an object of class '`Chopbox Anchor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ChopboxAnchor`

#### createConnectionDecoratorAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectionDecoratorAdapter()

Creates a new adapter for an object of class '`Connection Decorator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ConnectionDecorator`

#### createFreeFormConnectionAdapter

    public org.eclipse.emf.common.notify.Adapter createFreeFormConnectionAdapter()

Creates a new adapter for an object of class '`Free Form Connection`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `FreeFormConnection`

#### createManhattanConnectionAdapter

    public org.eclipse.emf.common.notify.Adapter createManhattanConnectionAdapter()

Creates a new adapter for an object of class '`Manhattan Connection`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ManhattanConnection`

#### createPictogramLinkAdapter

    public org.eclipse.emf.common.notify.Adapter createPictogramLinkAdapter()

Creates a new adapter for an object of class '`Pictogram Link`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `PictogramLink`

#### createAdvancedAnchorAdapter

    public org.eclipse.emf.common.notify.Adapter createAdvancedAnchorAdapter()

Creates a new adapter for an object of class '`Advanced Anchor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  0.9
See Also:
  `AdvancedAnchor`

#### createCurvedConnectionAdapter

    public org.eclipse.emf.common.notify.Adapter createCurvedConnectionAdapter()

Creates a new adapter for an object of class '`Curved Connection`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  0.9
See Also:
  `CurvedConnection`

#### createCompositeConnectionAdapter

    public org.eclipse.emf.common.notify.Adapter createCompositeConnectionAdapter()

Creates a new adapter for an object of class '`Composite Connection`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  0.9
See Also:
  `CompositeConnection`

#### createPropertyContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createPropertyContainerAdapter()

Creates a new adapter for an object of class '`Property Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `PropertyContainer`

#### createGraphicsAlgorithmContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createGraphicsAlgorithmContainerAdapter()

Creates a new adapter for an object of class '`Graphics Algorithm Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `GraphicsAlgorithmContainer`

#### createStyleContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createStyleContainerAdapter()

Creates a new adapter for an object of class '`Style Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `StyleContainer`

#### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.